Bug 973073 - DHT:Rebalance:- Newly created directories doesn't get hash ranges after decommissioning a brick without committing and running fix-layout
DHT:Rebalance:- Newly created directories doesn't get hash ranges after decom...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: distribute (Show other bugs)
mainline
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
:
Depends On: 972653
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 04:42 EDT by shishir gowda
Modified: 2013-12-08 20:36 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 972653
Environment:
Last Closed: 2013-07-24 13:29:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-06-11 05:09:08 EDT
REVIEW: http://review.gluster.org/5199 (cluster/dht: In reconfig handle removed decommissioned nodes) posted (#1) for review on master by Shishir Gowda (sgowda@redhat.com)
Comment 2 Anand Avati 2013-06-21 13:39:29 EDT
COMMIT: http://review.gluster.org/5199 committed in master by Anand Avati (avati@redhat.com) 
------
commit de31ac421953997ad148aea87f7176b2a10f07c4
Author: shishir gowda <sgowda@redhat.com>
Date:   Tue Jun 11 14:14:53 2013 +0530

    cluster/dht: In reconfig handle removed decommissioned nodes
    
    If no decommissioned nodes options are set in the options, then
    clear the conf->decommissioned_bricks.
    
    Change-Id: I426d2bcc874aab21b2eba0b16a580b9a26672ea2
    Signed-off-by: shishir gowda <sgowda@redhat.com>
    BUG: 973073
    Reviewed-on: http://review.gluster.org/5199
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.